PETSc version 3.15.5
Fix/Edit manual page

# TSGetOptionsPrefix

Sets the prefix used for searching for all TS options in the database.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetOptionsPrefix(TS ts,const char *prefix[])

Not Collective

### Input Parameter

| ts | - The TS context

### Output Parameter

| prefix | - A pointer to the prefix string used

### Notes

On the fortran side, the user should pass in a string 'prifix' of sufficient length to hold the prefix.

### See Also

TSAppendOptionsPrefix()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages